/**
 * EnedisKonnectorData definition
 * @typedef {object} EnedisKonnectorData
 * @property {number} year
 * @property {number} month
 * @property {number} day
 * @property {number} hour
 * @property {number} minute
 */

/**
 * SGEData definition
 * @typedef {object} SGEData
 * @property {number} v
 * @property {string} d
 */

/**
 * Fields definition
 * @typedef {object} fields
 * @property {string} wso2BaseUrl
 * @property {string} apiToken
 * @property {string} sgeLogin
 * @property {string} contractId
 * @property {string} pointId
 * @property {string} lastname
 * @property {string} boBaseUrl
 * @property {string} boToken
 */

/**
 * Consent definition
 * @typedef {object} Consent
 * @property {number} pointID
 * @property {string} lastname
 * @property {string} firstname
 * @property {string} address
 * @property {string} postalCode
 * @property {string} city
 * @property {string} inseeCode
 * @property {string} endDate
 * @property {number} [serviceID]
 * @property {number} [ID]
 */

/**
 * User definition
 * @typedef {object} User
 * @property {number} pointId
 * @property {string} lastname
 * @property {string} firstname
 * @property {string} postalCode
 * @property {string} address
 * @property {string} inseeCode
 * @property {string} city
 * @property {boolean} hasBeenThroughtSafetyOnBoarding
 */

/**
 * Contract definition
 * @typedef {object} Contract
 * @property {number} serviceSouscritId
 * @property {string} pointId
 * @property {object} serviceSouscritType
 * @property {string} serviceSouscritLibelle
 * @property {string} injection
 * @property {string} soutirage
 * @property {string} contratId
 * @property {string} contratLibelle
 * @property {contractState} etatCode
 * @property {string} dateDebut
 * @property {string} dateFin
 * @property {string} mesuresTypeCode
 * @property {string} mesuresPas
 * @property {string} mesuresCorrigees
 * @property {string} periodiciteTransmission
 */

/**
 * Account definition
 * @typedef {object} Account
 * @property {AccountData} data
 * @property {object} auth
 * @property {object} cozyMetadata
 */

/**
 * AccountData definition
 * @typedef {object} AccountData
 * @property {number} consentId
 * @property {string} inseeCode
 */

/**
 * Address definition
 * @typedef {object} Address
 * @property {string} escalierEtEtageEtAppartement
 * @property {string} numeroEtNomVoie
 * @property {string} codePostal
 * @property {Commune} commune
 */

/**
 * Commune definition
 * @typedef {object} Commune
 * @property {{code: string}} $
 * @property {string} libelle
 */
